﻿#region Using directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace MetaHeuristics.Aco
{

    public abstract class BaseDecisionRule : BaseAcoComponent, IDecisionRule
    {
        private Random rnd = new Random((int)DateTime.Now.Ticks);

        public Random Rnd
        {
            get
            {
                return this.rnd;
            }
        }

        public abstract void Initialize();
        public abstract void MakeDecision(Ant ant);
    }
}
