﻿#region Using directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace MetaHeuristics.Aco
{
    public abstract class BaseLocalSearch : BaseAcoComponent, ILocalSearch
    {
        private Random rnd = new Random((int)DateTime.Now.Ticks);

        public abstract void Search();

        public Random Rnd
        {
            get
            {
                return this.rnd;
            }
        }
    }
}
