﻿#region Using directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace MetaHeuristics.Demo
{
    using MetaHeuristics.Tsp;

    public class Burma14TspProblem : TspProblem
    {
        public Burma14TspProblem()
        {
            this.OptimalLength = 0;
            this.MaxIteration = 200;
            this.AddCity(16.47f,96.10f);
            this.AddCity(16.47f,94.44f);
            this.AddCity(20.09f,92.54f);
            this.AddCity(22.39f,93.37f);
            this.AddCity(25.23f,97.24f);
            this.AddCity(22.00f,96.05f);
            this.AddCity(20.47f,97.02f);
            this.AddCity(17.20f,96.29f);
            this.AddCity(16.30f,97.38f);
            this.AddCity(14.05f,98.12f);
            this.AddCity(16.53f,97.38f);
            this.AddCity(21.52f,95.59f);
            this.AddCity(19.41f,97.13f);
            this.AddCity(20.09f,94.55f);
        }
    }
}
