﻿#region Using directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace MetaHeuristics.Aco
{

    public abstract class BaseAcoComponent : IAcoComponent
    {
        private AcoForTspAlgorithm aco = null;

        public AcoForTspAlgorithm Aco
        {
            get
            {
                if (aco == null)
                    throw new InvalidOperationException("Aco not initialized");
                return this.aco;
            }
            set
            {
                this.aco = value;
            }
        }
    }
}
