﻿#region Using directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace MetaHeuristics.Collections
{
    /// <summary>
    /// A strongly-typed <see cref="Matrix"/> of <see cref="int"/>.
    /// </summary>
    public sealed class IntMatrix : Matrix<int>
    {
        public IntMatrix(int rowCount, int columnCount)
            :base(rowCount,columnCount,0)
        { }
    }
}
